const setTimeout = require("timers/promises").setTimeout;
const readFile = require("fs").readFile;

const parseScenario = require("./builder").parseScenario;
const request = require("./request").request;

readFile(process.argv[2], "utf8", (err, data) => {
  if (err) {
    return console.log(err);
  }
  execute(data);
});

async function execute(input) {
  const parsedScenarioFile = input.split("\n");

  for (const work of parsedScenarioFile) {
    const parsedWork = parseScenario(work);

    for (const requestJob of parsedWork) {
      await request(requestJob);
      await setTimeout(requestJob.test.waitNextMenu);
    }
  }
}
